Bug 1821682 (CVE-2020-6825) - CVE-2020-6825 Mozilla: Memory safety bugs fixed in Firefox 75 and Firefox ESR 68.7
Summary: CVE-2020-6825 Mozilla: Memory safety bugs fixed in Firefox 75 and Firefox ESR...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-6825
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1820211 1820212 1820213 1820214 1820215 1820216 1823642 1823643 1823644 1823645 1823646 1823647 1823648
Blocks: 1820209
TreeView+ depends on / blocked
 
Reported: 2020-04-07 12:09 UTC by Marian Rehak
Modified: 2020-06-05 00:26 UTC (History)
6 users (show)

Fixed In Version: firefox 68.7, thunderbird 68.7.0
Doc Type: If docs needed, set a value
Doc Text:
The Mozilla Foundation Security Advisory describes this flaw as: Mozilla developers reported memory safety bugs present in Firefox 74 and Firefox ESR 68.6. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code.
Clone Of:
Environment:
Last Closed: 2020-04-08 16:31:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1404 None None None 2020-04-08 13:36:23 UTC
Red Hat Product Errata RHSA-2020:1406 None None None 2020-04-08 16:27:33 UTC
Red Hat Product Errata RHSA-2020:1420 None None None 2020-04-09 10:02:32 UTC
Red Hat Product Errata RHSA-2020:1429 None None None 2020-04-14 07:50:55 UTC
Red Hat Product Errata RHSA-2020:1488 None None None 2020-04-16 10:03:11 UTC
Red Hat Product Errata RHSA-2020:1489 None None None 2020-04-16 10:03:34 UTC
Red Hat Product Errata RHSA-2020:1495 None None None 2020-04-16 20:53:56 UTC
Red Hat Product Errata RHSA-2020:1496 None None None 2020-04-16 20:29:50 UTC

Description Marian Rehak 2020-04-07 12:09:43 UTC
Mozilla developers reported memory safety bugs present in Firefox 74 and Firefox ESR 68.6. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code.

Comment 1 msiddiqu 2020-04-08 00:40:24 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Tyson Smith and Christian Holler

Comment 2 msiddiqu 2020-04-08 00:40:27 UTC
External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2020-13/#CVE-2020-6825

Comment 3 errata-xmlrpc 2020-04-08 13:36:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:1404 https://access.redhat.com/errata/RHSA-2020:1404

Comment 4 errata-xmlrpc 2020-04-08 16:27:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1406 https://access.redhat.com/errata/RHSA-2020:1406

Comment 5 Product Security DevOps Team 2020-04-08 16:31:55 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-6825

Comment 6 errata-xmlrpc 2020-04-09 10:02:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1420 https://access.redhat.com/errata/RHSA-2020:1420

Comment 7 errata-xmlrpc 2020-04-14 07:50:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:1429 https://access.redhat.com/errata/RHSA-2020:1429

Comment 8 errata-xmlrpc 2020-04-16 10:03:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:1488 https://access.redhat.com/errata/RHSA-2020:1488

Comment 9 errata-xmlrpc 2020-04-16 10:03:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1489 https://access.redhat.com/errata/RHSA-2020:1489

Comment 10 errata-xmlrpc 2020-04-16 20:29:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:1496 https://access.redhat.com/errata/RHSA-2020:1496

Comment 11 errata-xmlrpc 2020-04-16 20:53:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1495 https://access.redhat.com/errata/RHSA-2020:1495


Note You need to log in before you can comment on or make changes to this bug.